package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwBdVouchtemp;
import com.dhcc.finance.main.domain.CwBdVouchtempExample;
import com.dhcc.finance.main.model.CwBdVouchtempAdd;

import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwBdVouchtempMapper {
    long countByExample(CwBdVouchtempExample example);

    int deleteByExample(CwBdVouchtempExample example);

    int deleteByPrimaryKey(String pkVouchtemp);

    int insert(CwBdVouchtemp record);

    int insertSelective(CwBdVouchtemp record);

    List<CwBdVouchtemp> selectByExample(CwBdVouchtempExample example);

    CwBdVouchtemp selectByPrimaryKey(String pkVouchtemp);

    int updateByExampleSelective(@Param("record") CwBdVouchtemp record, @Param("example") CwBdVouchtempExample example);

    int updateByExample(@Param("record") CwBdVouchtemp record, @Param("example") CwBdVouchtempExample example);

    int updateByPrimaryKeySelective(CwBdVouchtemp record);

    int updateByPrimaryKey(CwBdVouchtemp record);

	int batchInsertCwBdVouchtemp(@Param("cwBdVouchtemp")List<CwBdVouchtemp> cwBdVouchtemp);
	/**
	 * 功能描述：根据凭证模板编码查询凭证模板信息
	 * @param code
	 * @return CwBdVouchtemp
	 * @author dml
	 * @date 2019年5月22日 下午4:07:10
	 * @修改日志：
	 */
	CwBdVouchtemp selectByCode(@Param("code") String code);
	/**
	 * 功能描述：查询手工凭证为一的凭证模板信息
	 * @param code
	 * @return CwBdVouchtemp
	 * @author lipeng
	 * @date 2019年7月25日 下午4:07:10
	 * @修改日志：
	 */
	List<CwBdVouchtemp> selectforISMANUAL();
}